Method: projects.locations.collections.engines.analytics.exportMetrics

匯出指標。

HTTP 要求


POST https://discoveryengine.googleapis.com/v1alpha/{analytics=projects/*/locations/*/collections/*/engines/*/analytics}:exportMetrics

這些網址使用 gRPC 轉碼語法。

路徑參數

參數
analytics

string

這是必要旗標,建立指標的引擎所屬的 Analytics 資源名稱。格式為 projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/analytics。

要求主體

要求主體包含下列結構的資料:

JSON 表示法
{
  "outputConfig": {
    object (OutputConfig)
  },
  "startDate": {
    object (Date)
  }
}
欄位
outputConfig

object (OutputConfig)

這是必要旗標,資料的輸出位置。

startDate

object (Date)

選用。以世界標準時間時區解讀,匯出內容中包含指標的最早日期 (含)。

如未設定,預設為目前世界標準時間日期前 30 天。值必須是有效的日曆日期,不得為未來日期,且不得超過 180 天 (來源資料保留期限),否則要求會失敗並傳回 INVALID_ARGUMENT。

回應主體

如果成功,回應主體會包含 Operation 的執行個體。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

詳情請參閱Authentication Overview。

OutputConfig

輸出設定。

JSON 表示法
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "bigqueryDestination": {
    object (BigQueryDestination)
  }
  // End of mutually exclusive fields.
}
欄位
用於保存輸出資料的目的地設定。以下列出互斥欄位。回應中最多會設定一個欄位:
bigqueryDestination

object (BigQueryDestination)

要寫入輸出內容的 BigQuery 位置。

互斥欄位的結尾。

BigQueryDestination

BigQuery 輸出目的地設定。

JSON 表示法
{
  "datasetId": string,
  "tableId": string
}
欄位
datasetId

string

這是必要旗標,BigQuery 資料集的 ID。

tableId

string

這是必要旗標,匯出的 BigQuery 資料表 tableId。